Saltar al contenido principal

RFC

RFCPropuesta futura. No existe en NOPAL y no forma parte de la API oficial.

Los RFC describen ideas que todavía no existen en NOPAL. Nada de esta sección debe leerse como una función disponible. El proceso está en el Documentation Standard, sección 16.

Origen

Estos RFC los redacta el proyecto de documentación a partir de los problemas verificados en el código (auditorías 01 a 04 y las páginas de Desarrolladores). Son borradores para discusión, no decisiones del autor de NOPAL.

RFC identificados​

IDTemaEstado
RFC-0001API de plugins versionada y ciclo de vidadraft
RFC-0002Permisos de plugins con aplicación forzadadraft
RFC-0003Dependencias de Python por plugindraft
RFC-0004Bus de eventos y tareas de fondodraft
RFC-0005Fuente única de metadatos y validación del manifiestodraft
RFC-0006SDK, plantilla oficial y publicación para tercerosdraft
RFC-DOC-001Help Center en Markdowndraft

Cómo se relacionan​

RFC-0005 (metadatos) ─┐
RFC-0003 (dependencias)├─► RFC-0006 (SDK y publicación)
RFC-0002 (permisos) ─┤
RFC-0001 (API) ─┘
RFC-0004 (eventos) depende de RFC-0001